{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ./host-specific.nix
      ../../modules/home-manager.nix
      ../../modules/nur-and-unstable.nix
      ../../modules/base.nix
      ../../modules/headless.nix

      ../../modules/ssh-fde-unlock.nix
      #../../modules/git.nix
      ../../modules/zsh.nix
      #../../modules/ssh-client.nix
      ../../modules/ssh-server.nix

      #../../modules/podman.nix
      ../../modules/docker.nix
      #../../modules/docker-pushrm.nix

      ../../modules/lid-switch-handling.nix
      ../../modules/sendmail-mta.nix
      ../../modules/journalwatch.nix

      #../../modules/btrbk
      #../../modules/spin-down.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix
    ];

  networking.hostName = "yodaYoga";
  boot.initrd.luks.devices."luks-a8521407-e25b-4f26-8e7a-a56fcbfd2e35".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  boot.kernelParams = [
    # Microarchitectural Data Sampling (MDS), see https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/mds.html#mitigation-control-on-the-kernel-command-line
    "mds=full,nosmt"
  ];
  boot.kernelPackages = pkgs.linuxPackages;
}
